## org.eclipse.emf.codegen.ecore
Class CodeGenEcorePlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.common.EMFPlugin.EclipsePlugin
              org.eclipse.emf.codegen.ecore.CodeGenEcorePlugin.Implementation

All Implemented Interfaces:
  EMFPlugin.InternalEclipsePlugin, Logger, ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  CodeGenEcorePlugin

    public static class CodeGenEcorePlugin.Implementation

extends EMFPlugin.EclipsePlugin

The actual implementation of the Eclipse Plugin.

Field Summary

Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`helper`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`CodeGenEcorePlugin.Implementation()` Creates an instance.

Method Summary
`void` `start(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeGenEcorePlugin.Implementation

    public CodeGenEcorePlugin.Implementation()

  Creates an instance.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `Plugin`
  Throws:
    `java.lang.Exception`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.